import Web3 from "web3";
const getWeb3=async()=>{
    if ((window).ethereum) {
        const web3 = new Web3((window).ethereum)
        try {
          await (window).ethereum.request({ method: 'eth_requestAccounts' })
          return web3
        } catch (error) {
          throw new Error('用户拒绝连接')
        }
      } else {
        throw new Error('请安装 MetaMask')
      } 
}
export default getWeb3;